[**@rxap/form-system v19.0.4-dev.0**](../README.md)

***

[@rxap/form-system](../globals.md) / OptionsFromRemoteMethodDirective

# Class: OptionsFromRemoteMethodDirective\<Value, Parameters\>

Defined in: [packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:87](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts#L87)

## Extends

- `OnInit`.[`ExtractFormDefinitionMixin`](ExtractFormDefinitionMixin.md).[`ExtractRemoteMethodsMixin`](ExtractRemoteMethodsMixin.md)

## Type Parameters

• **Value**

• **Parameters**

## Implements

- `OnChanges`

## Constructors

### new OptionsFromRemoteMethodDirective()

> **new OptionsFromRemoteMethodDirective**\<`Value`, `Parameters`\>(`ngControl`, `template`, `remoteMethodLoader`, `viewContainerRef`, `injector`, `cdr`): [`OptionsFromRemoteMethodDirective`](OptionsFromRemoteMethodDirective.md)\<`Value`, `Parameters`\>

Defined in: [packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:110](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts#L110)

#### Parameters

##### ngControl

`NgControl`

##### template

`TemplateRef`\<[`OptionsFromRemoteMethodTemplateContext`](../interfaces/OptionsFromRemoteMethodTemplateContext.md)\>

##### remoteMethodLoader

`RemoteMethodLoader`

##### viewContainerRef

`ViewContainerRef`

##### injector

`Injector`

##### cdr

`ChangeDetectorRef`

#### Returns

[`OptionsFromRemoteMethodDirective`](OptionsFromRemoteMethodDirective.md)\<`Value`, `Parameters`\>

#### Inherited from

[`ExtractRemoteMethodsMixin`](ExtractRemoteMethodsMixin.md).[`constructor`](ExtractRemoteMethodsMixin.md#constructors)

## Properties

### parameters?

> `optional` **parameters**: `Parameters`

Defined in: [packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:100](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts#L100)

***

### resetOnChange?

> `optional` **resetOnChange**: `Value`

Defined in: [packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:103](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts#L103)

***

### withoutParameters

> **withoutParameters**: `boolean` = `false`

Defined in: [packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:106](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts#L106)

## Methods

### extractFormDefinition()

> `protected` **extractFormDefinition**(`control`): `FormDefinition`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-form-definition.mixin.ts:10](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-form-definition.mixin.ts#L10)

#### Parameters

##### control

`AbstractControl`

#### Returns

`FormDefinition`

#### Inherited from

[`ExtractFormDefinitionMixin`](ExtractFormDefinitionMixin.md).[`extractFormDefinition`](ExtractFormDefinitionMixin.md#extractformdefinition)

***

### extractRemoteMethods()

> `protected` **extractRemoteMethods**(`formDefinition`, `controlId`): `Map`\<`string`, `Constructor`\<`IdOrInstanceOrToken`\<`BaseRemoteMethod`\<`any`, `any`, `BaseRemoteMethodMetadata`\>\>\>\>

Defined in: [packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:59](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts#L59)

#### Parameters

##### formDefinition

`FormDefinition`

##### controlId

`string`

#### Returns

`Map`\<`string`, `Constructor`\<`IdOrInstanceOrToken`\<`BaseRemoteMethod`\<`any`, `any`, `BaseRemoteMethodMetadata`\>\>\>\>

#### Inherited from

[`ExtractRemoteMethodsMixin`](ExtractRemoteMethodsMixin.md).[`extractRemoteMethods`](ExtractRemoteMethodsMixin.md#extractremotemethods)

***

### ngOnChanges()

> **ngOnChanges**(`changes`): `void`

Defined in: [packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:126](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts#L126)

A callback method that is invoked immediately after the
default change detector has checked data-bound properties
if at least one has changed, and before the view and content
children are checked.

#### Parameters

##### changes

`SimpleChanges`

The changed properties.

#### Returns

`void`

***

### ngOnInit()

> **ngOnInit**(): `void`

Defined in: node\_modules/@angular/core/index.d.ts:8345

A callback method that is invoked immediately after the
default change detector has checked the directive's
data-bound properties for the first time,
and before any of the view or content children have been checked.
It is invoked only once when the directive is instantiated.

#### Returns

`void`

#### Inherited from

`OnInit.ngOnInit`
